
#include <rpcheader.h>

typedef    rpc_byte byte_type;
typedef    rpc_char char_type;
typedef    rpc_short short_type;
typedef    rpc_long long_type;
typedef    rpc_real32 real_type;
typedef    rpc_char str_type[81];
typedef    rpc_char substr_type[81];
typedef    rpc_char array_type[11][8];
typedef    rpc_long seq_type[80];

int h_bigsub;

in_out(p1, p2, p3, p4, 
        p5, p6, a_p7, s_p7, l_p7, 
        p8, a_p9, l_p9)
    rpc_byte *p1;
    rpc_char *p2;
    rpc_short *p3;
    rpc_long *p4;
    rpc_real32 *p5;
    str_type p6;
    substr_type a_p7;
    rpc_integer *s_p7;
    rpc_integer *l_p7;
    array_type p8;
    seq_type a_p9;
    rpc_integer *l_p9;

{   rpc_message *rpc_p_buf;
    register rpc_integer rpc_a;
    register rpc_integer rpc_b;

    c_new(rpc_p_buf, MAXLENGTH);
    rpc_p_buf->m_index = CALL_HEADER_LENGTH - 4;
    pck_short(rpc_p_buf, 1426);
    pck_short(rpc_p_buf, 1);
   pck_byte(rpc_p_buf, *p1);
   pck_char(rpc_p_buf, *p2);
   pck_short(rpc_p_buf, *p3);
   pck_long(rpc_p_buf, *p4);
   pck_real32(rpc_p_buf, *p5);
   for (rpc_b = 0; rpc_b <= 80; rpc_b++)
   if (p6[rpc_b] == '\0') break;
   pck_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++)
   pck_char(rpc_p_buf, p6[rpc_a]);
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   pck_integer(rpc_p_buf, *s_p7);
   pck_integer(rpc_p_buf, *l_p7);
    for (rpc_a = *s_p7-1; rpc_a < *l_p7 + *s_p7-1; rpc_a++)
      pck_char(rpc_p_buf, a_p7[rpc_a]);
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   for (rpc_a = 0; rpc_a<11; rpc_a++) {
      for (rpc_b = 0; rpc_b<8; rpc_b++) {
         pck_char(rpc_p_buf, p8[rpc_a][rpc_b]);
      }
   }
   pck_integer(rpc_p_buf, *l_p9);
   for (rpc_a = 0; rpc_a< *l_p9; rpc_a++) {
      pck_long(rpc_p_buf, a_p9[rpc_a]);
         }
    c_call(h_bigsub, rpc_p_buf, -1);
    rpc_p_buf->m_index = RETURN_HEADER_LENGTH;
   upk_byte(rpc_p_buf, *p1);
   upk_char(rpc_p_buf, *p2);
   upk_short(rpc_p_buf, *p3);
   upk_long(rpc_p_buf, *p4);
   upk_real32(rpc_p_buf, *p5);
   upk_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++)
   upk_char(rpc_p_buf, p6[rpc_a]);
   p6[rpc_b] = '\0';
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   upk_integer(rpc_p_buf, *s_p7);
   upk_integer(rpc_p_buf, *l_p7);
    for (rpc_a = *s_p7-1; rpc_a < *l_p7 + *s_p7-1; rpc_a++)
      upk_char(rpc_p_buf, a_p7[rpc_a]);
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   for (rpc_a = 0; rpc_a<11; rpc_a++) {
      for (rpc_b = 0; rpc_b<8; rpc_b++) {
         upk_char(rpc_p_buf, p8[rpc_a][rpc_b]);
      }
   }
   upk_integer(rpc_p_buf, *l_p9);
   for (rpc_a = 0; rpc_a< *l_p9; rpc_a++) {
      upk_long(rpc_p_buf, a_p9[rpc_a]);
         }
    c_dispose(rpc_p_buf);
    }

only_in(p1, p2, p3, p4, 
        p5, p6, a_p7, s_p7, l_p7, 
        p8, a_p9, l_p9)
    rpc_byte p1;
    rpc_char p2;
    rpc_short p3;
    rpc_long p4;
    rpc_real32 p5;
    str_type p6;
    substr_type a_p7;
    rpc_integer s_p7;
    rpc_integer l_p7;
    array_type p8;
    seq_type a_p9;
    rpc_integer l_p9;

{   rpc_message *rpc_p_buf;
    register rpc_integer rpc_a;
    register rpc_integer rpc_b;

    c_new(rpc_p_buf, MAXLENGTH);
    rpc_p_buf->m_index = CALL_HEADER_LENGTH - 4;
    pck_short(rpc_p_buf, 1426);
    pck_short(rpc_p_buf, 2);
   pck_byte(rpc_p_buf, p1);
   pck_char(rpc_p_buf, p2);
   pck_short(rpc_p_buf, p3);
   pck_long(rpc_p_buf, p4);
   pck_real32(rpc_p_buf, p5);
   for (rpc_b = 0; rpc_b <= 80; rpc_b++)
   if (p6[rpc_b] == '\0') break;
   pck_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++)
   pck_char(rpc_p_buf, p6[rpc_a]);
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   pck_integer(rpc_p_buf, s_p7);
   pck_integer(rpc_p_buf, l_p7);
    for (rpc_a = s_p7-1; rpc_a < l_p7 + s_p7-1; rpc_a++)
      pck_char(rpc_p_buf, a_p7[rpc_a]);
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   for (rpc_a = 0; rpc_a<11; rpc_a++) {
      for (rpc_b = 0; rpc_b<8; rpc_b++) {
         pck_char(rpc_p_buf, p8[rpc_a][rpc_b]);
      }
   }
   pck_integer(rpc_p_buf, l_p9);
   for (rpc_a = 0; rpc_a< l_p9; rpc_a++) {
      pck_long(rpc_p_buf, a_p9[rpc_a]);
         }
    c_call(h_bigsub, rpc_p_buf, -1);
    c_dispose(rpc_p_buf);
    }

only_out(p1, p2, p3, p4, 
        p5, p6, a_p7, s_p7, l_p7, 
        p8, a_p9, l_p9)
    rpc_byte *p1;
    rpc_char *p2;
    rpc_short *p3;
    rpc_long *p4;
    rpc_real32 *p5;
    str_type p6;
    substr_type a_p7;
    rpc_integer *s_p7;
    rpc_integer *l_p7;
    array_type p8;
    seq_type a_p9;
    rpc_integer *l_p9;

{   rpc_message *rpc_p_buf;
    register rpc_integer rpc_a;
    register rpc_integer rpc_b;

    c_new(rpc_p_buf, MAXLENGTH);
    rpc_p_buf->m_index = CALL_HEADER_LENGTH - 4;
    pck_short(rpc_p_buf, 1426);
    pck_short(rpc_p_buf, 3);
    c_call(h_bigsub, rpc_p_buf, -1);
    rpc_p_buf->m_index = RETURN_HEADER_LENGTH;
   upk_byte(rpc_p_buf, *p1);
   upk_char(rpc_p_buf, *p2);
   upk_short(rpc_p_buf, *p3);
   upk_long(rpc_p_buf, *p4);
   upk_real32(rpc_p_buf, *p5);
   upk_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++)
   upk_char(rpc_p_buf, p6[rpc_a]);
   p6[rpc_b] = '\0';
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   upk_integer(rpc_p_buf, *s_p7);
   upk_integer(rpc_p_buf, *l_p7);
    for (rpc_a = *s_p7-1; rpc_a < *l_p7 + *s_p7-1; rpc_a++)
      upk_char(rpc_p_buf, a_p7[rpc_a]);
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   for (rpc_a = 0; rpc_a<11; rpc_a++) {
      for (rpc_b = 0; rpc_b<8; rpc_b++) {
         upk_char(rpc_p_buf, p8[rpc_a][rpc_b]);
      }
   }
   upk_integer(rpc_p_buf, *l_p9);
   for (rpc_a = 0; rpc_a< *l_p9; rpc_a++) {
      upk_long(rpc_p_buf, a_p9[rpc_a]);
         }
    c_dispose(rpc_p_buf);
    }

rpc_long bigsub1(p1, p2, p3)
    rpc_long p1;
    rpc_long *p2;
    rpc_long *p3;

{   rpc_message *rpc_p_buf;
    rpc_long rpc_ret;

    c_new(rpc_p_buf, MAXLENGTH);
    rpc_p_buf->m_index = CALL_HEADER_LENGTH - 4;
    pck_short(rpc_p_buf, 1426);
    pck_short(rpc_p_buf, 4);
   pck_long(rpc_p_buf, p1);
   pck_long(rpc_p_buf, *p2);
    c_call(h_bigsub, rpc_p_buf, -1);
    rpc_p_buf->m_index = RETURN_HEADER_LENGTH;
    upk_long(rpc_p_buf, rpc_ret);
   upk_long(rpc_p_buf, *p2);
   upk_long(rpc_p_buf, *p3);
    c_dispose(rpc_p_buf);
    return(rpc_ret);
    }

no_parameters()

{   rpc_message *rpc_p_buf;

    c_new(rpc_p_buf, MAXLENGTH);
    rpc_p_buf->m_index = CALL_HEADER_LENGTH - 4;
    pck_short(rpc_p_buf, 1426);
    pck_short(rpc_p_buf, 5);
    c_call(h_bigsub, rpc_p_buf, -1);
    c_dispose(rpc_p_buf);
    }

open_bigsub()
{   rpc_status       status;

    c_open(status, h_bigsub, "bigsub                                  ");
    c_report_error(status);
    }
close_bigsub()
{   rpc_status       status;

    c_close(status, h_bigsub);
    c_report_error(status);
    }
